# Class OrbitControls

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:3

##### Index

### Constructors

constructor

### Properties

autoRotate
autoRotateSpeed
center
dampingFactor
domElement
enabled
enableDamping
enableKeys
enablePan
enableRotate
enableZoom
keyPanSpeed
keys
maxAzimuthAngle
maxDistance
maxPolarAngle
maxZoom
minAzimuthAngle
minDistance
minPolarAngle
minZoom
mouseButtons
object
panSpeed
rotateSpeed
screenSpacePanning
target
touches
zoomSpeed

### Methods

addEventListener
dispatchEvent
dispose
getAzimuthalAngle
getPolarAngle
hasEventListener
removeEventListener
reset
saveState
update

## Constructors

### constructor

- new OrbitControls(object: Camera, domElement?: HTMLElement): OrbitControls

  #### Parameters

  - object: Camera
  - `Optional` domElement: HTMLElement

  #### Returns OrbitControls

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:5

## Properties

### autoRotate

autoRotate: boolean

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:43

### autoRotateSpeed

autoRotateSpeed: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:44

### center

center: Vector3

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:15

### dampingFactor

dampingFactor: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:30

### domElement

domElement: HTMLElement | HTMLDocument

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:8

### enabled

enabled: boolean

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:11

### enableDamping

enableDamping: boolean

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:29

### enableKeys

enableKeys: boolean

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:46

### enablePan

enablePan: boolean

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:38

### enableRotate

enableRotate: boolean

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:35

### enableZoom

enableZoom: boolean

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:32

### keyPanSpeed

keyPanSpeed: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:41

### keys

keys: { BOTTOM: number; LEFT: number; RIGHT: number; UP: number }

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:47

### maxAzimuthAngle

maxAzimuthAngle: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:27

### maxDistance

maxDistance: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:18

### maxPolarAngle

maxPolarAngle: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:24

### maxZoom

maxZoom: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:21

### minAzimuthAngle

minAzimuthAngle: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:26

### minDistance

minDistance: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:17

### minPolarAngle

minPolarAngle: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:23

### minZoom

minZoom: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:20

### mouseButtons

mouseButtons: { LEFT: MOUSE; MIDDLE: MOUSE; RIGHT: MOUSE }

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:48

### object

object: Camera

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:7

### panSpeed

panSpeed: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:39

### rotateSpeed

rotateSpeed: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:36

### screenSpacePanning

screenSpacePanning: boolean

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:40

### target

target: Vector3

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:12

### touches

touches: { ONE: TOUCH; TWO: TOUCH }

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:49

### zoomSpeed

zoomSpeed: number

- Defined in lib/plugins/thirdParty/OrbitControls.d.ts:33

## Methods

### addEventListener

- addEventListener(type: string, listener: (event: any) => void): void

  #### Parameters

  - type: string
  - listener: (event: any) => void

  #### Returns void

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:64

### dispatchEvent

- dispatchEvent(event: { target: any; type: string }): void

  #### Parameters

  - event: { target: any; type: string }

  #### Returns void

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:70

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:57

### getAzimuthalAngle

- getAzimuthalAngle(): number

  #### Returns number

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:61

### getPolarAngle

- getPolarAngle(): number

  #### Returns number

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:59

### hasEventListener

- hasEventListener(type: string, listener: (event: any) => void): boolean

  #### Parameters

  - type: string
  - listener: (event: any) => void

  #### Returns boolean

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:66

### removeEventListener

- removeEventListener(type: string, listener: (event: any) => void): void

  #### Parameters

  - type: string
  - listener: (event: any) => void

  #### Returns void

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:68

### reset

- reset(): void

  #### Returns void

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:55

### saveState

- saveState(): void

  #### Returns void

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:53

### update

- update(): boolean

  #### Returns boolean

  - Defined in lib/plugins/thirdParty/OrbitControls.d.ts:51